
package de.ivu.elect.presentation.benutzerverwaltung.table;

import de.ivu.elect.business.benutzerverwaltung.entity.AngemeldeterBenutzer;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.table.AbstractColumnEntry;

public class AngemeldeterBenutzerIdColumn extends AbstractColumnEntry<AngemeldeterBenutzer> {

  private static final long serialVersionUID = 1L;

  public AngemeldeterBenutzerIdColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.LONG;
  }

  @Override
  public String getHeader() {
    return getMessage("angemeldete.benutzer.id");
  }

  @Override
  public Object getValue(AngemeldeterBenutzer entity) {
    return entity.getId();
  }
}
